//--------------------
// Name: CityRP Datablocks
// Author: Jookia
//--------------------

%error = forceRequiredAddOn("player_no_jet");

if(%error)
{
	if(%error == $error::addOn_disabled)
	{
		playerNoJet.uiName = "";
	}
	
	if(%error == $error::addOn_notFound)
	{
		return;
	}
}

$CityRP_temp::loadedDatablocks = true;

datablock triggerData(CityRPLotTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock triggerData(CityRPInputTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock fxDTSBrickData(CityRPSmallBuildPadBrickData : brick16x16FData)
{
	category = "Space RP";
	subCategory = "Normal Pads";
	
	uiName = "Small BuildPad";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "16 16 32";
	trigger = 0;
	
	initialPrice = 25;
	taxAmount = 15;
};

datablock fxDTSBrickData(CityRPHalfSmallBuildPadBrickData : brick16x32FData)
{
	category = "Space RP";
	subCategory = "Normal Pads";
	
	uiName = "Half-Small BuildPad";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "16 32 32";
	trigger = 0;
	
	initialPrice = 35;
	taxAmount = 20;
};

datablock fxDTSBrickData(CityRPMediumBuildPadBrickData : brick32x32FData)
{
	category = "Space RP";
	subCategory = "Normal Pads";
	
	uiName = "Medium Build Pad";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "32 32 64";
	trigger = 0;
	
	initialPrice = 50;
	taxAmount = 25;
};

datablock fxDTSBrickData(CityRPLargeBuildPadBrickData : brick64x64FData)
{
	category = "Space RP";
	subCategory = "Normal Pads";
	
	uiName = "Large Build Pad";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "64 64 128";
	trigger = 0;
	
	initialPrice = 100;
	taxAmount = 50;
};

datablock fxDTSbrickdata(CityRPSmallIndustrialBuildPadBrickData : brick16x16FData)
{       
        category = "Space RP";
        subCategory = "Industrial Pads";
        
        uiName = "Small Industrial Build Pad";
        
        CityRPBrickType = 1;
        CityRPBrickAdmin = false;
   
        triggerDatablock = CityRPLotTriggerData;
        triggerSize = "16 16 32";
        trigger = 0;
        
        initialPrice = 1000;
        taxAmount = -15;
};

datablock fxDTSbrickdata(CityRPHalfSmallIndustrialBuildPadBrickData : brick16x32FData)
{
        category = "Space RP";
        subCategory = "Industrial Pads";
        
        uiName = "Half-Small Industrial Pad";
        
        CityRPBrickType = 1;
        CityRPBrickAdmin = false;
        
        triggerDatablock = CityRPLotTriggerData;
        triggersize = "16 32 32";
        trigger = 0;
        
        initialPrice = 1500;
        taxamount = -25;
};
        
datablock fxDTSBrickData(CityRPMediumIndustrialLotBrickData : brick32x32FData)
{
        category = "Space RP";
        subCategory = "Industrial Pads";
        
        uiName = "Medium Industrial Pad";
        
        CityRPBrickType = 1;
        CityRPBrckAdmin = false;
        
        triggerdatablock = CityRPLotTriggerData;
        trigersize = "32 32 64";
        trigger = 0;

        initialPrice = 1750;
        taxamount = -50;
};

datablock fxDTSBrickData(CityRPLargeIndustrialLotBrickData : brick64x64FData)
{
        category = "Space RP";
        subCategory = "Industrial Pads";
        
        uiName = "Large Industrial Lot";
        
        CityRPBrickType = 1;
        CityRPBrickAdmin = false;
   
        triggerdatablock = CityRPLotTriggerData;
        triggersize = "64 64 128";
        trigger = 0;

        initialPrice = 2000;
        taxamount = -100;
};

datablock fxDtsBrickData(CityRPPersonalSpawnBrickData : brickSpawnPointData)
{
	category = "Space RP";
	subCategory = "Special Spawns";
	
	uiName = "Personal Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = false;
	
	spawnData = "personalSpawn";
};

datablock fxDTSBrickData(CityRPATMBrickData : brick2x4FData)
{
	category = "Space RP";
	subCategory = "SpaceRPAdmin";
	
	uiName = "ATM Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDTSBrickData(CityRPEnforcerBrickData : brick2x4FData)
{
	category = "Space RP";
	subCategory = "SpaceRPAdmin";
	
	uiName = "Enforcer Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDTSBrickData(CityRPEstateMachineBrickData : brick2x4FData)
{
	category = "Space RP";
	subCategory = "SpaceRPAdmin";
	
	uiName = "Pad Estate Machine Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDtsBrickData(CityRPJailSpawnBrickData : brickSpawnPointData)
{
	category = "Space RP";
	subCategory = "Special Spawns";
	
	uiName = "Detention Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = true;
	
	spawnData = "jailSpawn";
};

datablock fxDTSBrickData(CityRPOreBrickData : brick4x4FData)
{ 
        brickFile= "./4x Cube.blb";
        category = "Space RP";
        subCategory = "Resources";
        uiName = "Ore";
        iconName = "Add-Ons/Brick_Large Cubes/4x Cube";
        specialBrickType = "";
        triggerSize = "4 4 1";
        CityRPBrickAdmin = true;
};

datablock projectileData(CityRPCrystalizerProjectile : hammerProjectile)
{
        directDamage = 1;

        lifeTime = 100;

        explodeOnDeath = false;
};

datablock itemData(CityRPCrystalizerItem : hammerItem)
{
        uiName = "Crystalizer";

        image = CityRPCrystalizerImage;

        colorShiftColor = "0.000000 0.000000 0.333333 0.333333";

        CityRPCanSpawn = false;
};

datablock shapeBaseImageData(CityRPCrystalizerImage : hammerImage)
{
        item = CityRPCrystalizerItem;

        projectile = CityRPPickProjectile;

        colorShiftColor = "0.000000 0.000000 0.333333 0.333333";
};

datablock projectileData(CityRPBioJackProjectile : hammerProjectile)
{
        directDamage = 5;

        lifeTime = 100:

        explodeOnDeath = false;
};

datablock itemData(CityRPBioJackItem : hammerItem)
{
        uiName = "BioJack"

        image = CityRPBioJackImage;

        colorShiftColor = "0.111222 0.111222 0.000000 1.000000";

        CityRPCanSpawn = false;
};

datablock shapeBaseImageData(CityRPBioJackImage : hammerImage)
{
        item = CityRPCrystalizerItem;

        projectile = CityRPCrystalizerProjectile;

        colorShiftColor = "0.111222 0.111222 0.000000 1.000000";
};

datablock projectileData(CityRPBatonProjectile : hammerProjectile)
{
	directDamage = 5;
	
	lifeTime = 100;
	
	explodeOnDeath = false;
};

datablock itemData(CityRPBatonItem : hammerItem)
{
	uiName = "Enforcer Baton";
	
	image = CityRPBatonImage;
	
	colorShiftColor = "0.900000 0.900000 0.000000 1.000000";
	
	CityRPCanSpawn = true;
};

datablock shapeBaseImageData(CityRPBatonImage : hammerImage)
{
	item = CityRPBatonItem;
	
	projectile = CityRPBatonProjectile;
	
	colorShiftColor = "0.900000 0.900000 0.000000 1.000000";
};