// I've moved commands here, quit whining.

function CityRP_giveResources(%client, %command, %args)
{
       %money = mFloor(getword(%args, 0));

       if(%money < 1)
       {
               messageClient(%client, '', "\c6You must enter a valid amount of resources to give to the person.");

               return;
       }

       if(CityRPData.getData(%client.bl_id).valueMoney - %money < 0)
       {
              messageClient(%client, '', "\c6You don't have that many resources to give the person.");

              return;
       }

       if(!isObject(%client.player))
       {
               messageClient(%client, '', "\c6Spawn first before you use this command.");

               return;
       } 

       %target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalsize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;

       if(!isObject(%target))
       {
               messageClient(%client, '', "\c6You must be looking at and be in a close-ranged distance of the player in order to give them resources.");

               return;
       }

       messageClient(%client, '', "\c6You give \c3$" @ %money SPC "\c6worth of resources to \c3" @ %target.name @ "\c6and have been charged a packaging fee");
       messageClient(%target, '', "\c3" @ %client.name SPC "\c6has given you \c3$" @ %money @ "\worth of resources and were sold automaticly.");

       CityRPData.getData(%client.bl_id).valueMoney -= %money;
       CityRPData.getData(%target.bl_id).valueMoney += %money;

       %client.CityRP(1);
       %target.CityRP(1);

       return;
}

function CityRP_giveCredits(%client, %command, %args)
{
	%money = mFloor(getWord(%args, 0));
	
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of credits to give to the person.");
		
		return;
	}
	
	if(CityRPData.getData(%client.bl_id).valueMoney - %money < 0)
	{
		messageClient(%client, '', "\c6You don't have that many credits to give to the person.");
		
		return;
	}
	
	if(!isObject(%client.player))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command.");
		
		return;
	}
	
	%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalsize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	
	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at and be in a close-ranged distance of the player in order to give them credits.");
		
		return;
	}
	
	messageClient(%client, '', "\c6You give \c3$" @ %money SPC "\c6worth of credits to \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name SPC "\c6has loaned/payed you \c3$" @ %money @ "\c6worth of credits.");
	
	CityRPData.getData(%client.bl_id).valueMoney -= %money;
	CityRPData.getData(%target.bl_id).valueMoney += %money;
	
	%client.CityRP(1);
	%target.CityRP(1);
	
	return;
}

function CityRP_grantCredits(%client, %command, %args)
{
	if(!%client.isAdmin)
	{
		messageClient(%client, '', "\c6You must be an admin to use the this command.");
		
		return;
	}
	
	%money = mFloor(getWord(%args, 0));
	
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of credits to grant.");
		
		return;
	}
	
	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
		
		return;
	}
	
	if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
	}
	
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}
	
	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to grant to them.");
		
		return;
	}
	
	messageClient(%client, '', "\c6You grant \c3$" @ %money SPC "\c6worth of credits to \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name @ "\c6 has granted you \c3$" @ %money @ "\c6worth of credits.");
	
	CityRPData.getData(%target.bl_id).valueMoney += %money;
	
	%target.CityRP(1);
	
	return;
}

function CityRP_deductCredits(%client, %command, %args)
{
	if(!%client.isAdmin)
	{
		messageClient(%client, '', "\c6You must be admin to use the this command.");
		
		return;
	}
	
	%money = mFloor(getWord(%args, 0));
	
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of credits to deduct.");
		
		return;
	}
	
	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
		
		return;
	}
	
	if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
	}
	
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}
	
	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to deduct credits from them.");
		
		return;
	}
	
	if(CityRPData.getData(%target.bl_id).valueMoney - %money < 0)
	{
		%money = CityRPData.getData(%target.bl_id).valueMoney;
	}
	
	messageClient(%client, '', "\c6You deduct \c3$" @ %money SPC "\c6worth of credits from \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name @ "\c6 has deducted \c3$" @ %money @ "\c6 worth of credits from you.");
	
	CityRPData.getData(%target.bl_id).valueMoney -= %money;
	
	%target.CityRP(1);
	
	return;
}

function CityRP_stats(%client, %command, %args)
{
	messageClient(%client, '', "\c3" @ %client.name SPC "\c6- Credits: \c3$" @ CityRPData.getData(%client.bl_id).valueMoney SPC "\c6ATM: \c3$" @ getWord(CityRPData.getData(%client.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID] SPC "\c6Income: \c3" @ $CityRP::jobs::pay[CityRPData.getData(%client.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%client.brickGroup.taxes > 0) ? %client.brickGroup.taxes : "0"));
	messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(CityRPData.getData(%client.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ CityRPData.getData(%client.bl_id).valueDemerits SPC "\c6Detention Time: \c3" @ getWord(CityRPData.getData(%client.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(CityRPData.getData(%client.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
	
	return;
}

function CityRP_checkAccount(%client, %command, %args)
{
	if(!%client.isAdmin)
	{
		messageClient(%client, '', "\c6You must be admin to use the \c3" @ %command SPC "\c6command.");
		
		return;
	}
	
	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command.");
		
		return;
	}
	
	if(getWords(%args, 0, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 0, getWordCount(%args) - 1));
	}
	
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}
	
	if(!isObject(%target))
	{
		for(%a = 0; %a < clientGroup.getCount(); %a++)
		{
			%target = clientGroup.getObject(%a);
			
			if(!isObject(CityRPData.getData(%target.bl_id)))
			{
				continue;
			}
			
			messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Credits: \c3$" @ CityRPData.getData(%target.bl_id).valueMoney SPC "\c6ATM: \c3$" @ getWord(CityRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $CityRP::jobs::name[CityRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $CityRP::jobs::pay[CityRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
			messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(CityRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ CityRPData.getData(%target.bl_id).valueDemerits SPC "\c6Detention Time: \c3" @ getWord(CityRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(CityRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
		}
		
		return;
        
        }
        messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Credits: \c3$" @ CityRPData.getData(%target.bl_id).valueMoney SPC "\c6ATM: \c3$" @ getWord(CityRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $CityRP::jobs::name[CityRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $CityRP::jobs::pay[CityRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
	messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(CityRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ CityRPData.getData(%target.bl_id).valueDemerits SPC "\c6Detention Time: \c3" @ getWord(CityRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(CityRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
	
	return;
}

function CityRP_job(%client, %command, %args)
{
	if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= "")
	{
		messageClient(%client, '', "\c6Type \c3^help jobs\c6 to see a list of jobs.");
		
		return;
	}
	
	if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID]))
	{
		messageClient(%client, '', "\c6You are already" SPC CityRP(3, $CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID]) SPC "\c3" @ $CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID] @ "\c6.");
		
		return;
	}
	
	for(%a = 1; %a <= $CityRP::jobs; %a++)
	{
		if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($CityRP::jobs::name[%a]))
		{
			if($CityRP::jobs::law[%a] && getWord(CityRPData.getData(%client.bl_id).valueJailData, 0) == 1)
			{
				messageClient(%client, '', "\c6You don't have a clean record. You can not become" SPC CityRP(3, $CityRP::jobs::name[%a]) SPC "\c3" @ $CityRP::jobs::name[%a] @ "\c6.");
				
				return;
			}
			
			if(mFloor($CityRP::jobs::initialInvestment[%a]) > 0)
			{
				if(CityRPData.getData(%client.bl_id).valueMoney < mFloor($CityRP::jobs::initialInvestment[%a]))
				{
					messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($CityRP::jobs::initialInvestment[%a]) SPC "\c6in order to apply for this job.");
					
					return;
				}
				
				messageClient(%client, '', "\c6You have paid a credit value of \c3$" @ mFloor($CityRP::jobs::initialInvestment[%a]) @ "\c6 to become" SPC CityRP(3, $CityRP::jobs::name[%a]) SPC "\c3" @ $CityRP::jobs::name[%a] @ "\c6.");
			}
			else
			{
				messageClient(%client, '', "\c6You are now" SPC CityRP(3, $CityRP::jobs::name[%a]) SPC "\c3" @ $CityRP::jobs::name[%a] @ "\c6.");
			}
			
			if($CityRP::jobs::items[CityRPData.getData(%client.bl_id).valueJobID] == 1)
			{
				%brickGroup = "brickGroup_" @ %client.bl_id;
				
				%display = false;
				
				for(%b = 0; %b < %brickGroup.getCount(); %b++)
				{
					if(!isObject(%brickGroup.getObject(%b).item))
					{
						continue;
					}
					
					%brickGroup.getObject(%b).setItem(0, (isObject(%brickGroup.client) ? %brickGroup.client : 0), true);
					
					%display = true;
				}
				
				if(%display)
				{
					messageClient(%client, '', "\c6Since you are no longer" SPC CityRP(3, $CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID]) SPC $CityRP::jobs::name[CityRPData.getData(%client.bl_id).valueJobID] @ ", your spawned items have been removed.");
				}
			}
			
			CityRPData.getData(%client.bl_id).valueMoney -= mFloor($CityRP::jobs::initialInvestment[%a]);
			CityRPData.getData(%client.bl_id).valueJobID = %a;
			
			if(isObject(%client.player))
			{
				serverCmdunUseTool(%client);
				
				%client.player.giveDefaultEquipment();
			}
			
			%client.CityRP(1);
			
			return;
		}
	}
	
	messageClient(%client, '', "\c6Invalid job '\c3" @ getWords(%args, 0, getWordCount(%args) - 1) @ "\c6'. Type \c3^job\c6 to see a list of the jobs.");
	
	return;
}

function CityRP_cast(%client, %command, %args)
{
	if(strLwr(getWord(strLwr(%args), getWordCount(%args) - 1)) $= "sandwich")
	{
		messageClient(%client, '', "\c6You cast an energy crystal, but an alien with camoflauge grasps it and blasts it!");
	}
	
	return;
}

function CityRP_help(%client, %command, %args)
{
	%section = strLwr(getWord(strLwr(%args), getWordCount(%args) - 1));
	
	if(%section $= "admin")
	{
		if(!%client.isAdmin)
		{
			messageClient(%client, '', "\c6You must be admin to use this help section!");
		}
		else
		{
			CityRPHelp.displayHelp(%client, "main_admin");
		}
		
		return;
	}
	
	if(%section $= "jobs")
	{
		messageClient(%client, '', "\c6Type \c3^job\c6 then one of the jobs below to apply for that job.");
		
		for(%a = 1; %a <= $CityRP::jobs; %a++)
		{
			messageClient(%client, '', "\c3" @ $CityRP::jobs::name[%a] SPC "\c6- Inital Investment: \c3" @ $CityRP::jobs::initialInvestment[%a] SPC "\c6Pay: \c3" @ $CityRP::jobs::pay[%a] SPC "\c6Items: \c3" SPC (($CityRP::jobs::items[%a] == 1) ? "Yes" : "No") SPC "\c6Law: \c3" SPC (($CityRP::jobs::law[%a]) ? "Yes" : "No"));
		}
		
		return;
	}
	
	if(%section $= "buildpads")
	{
		messageClient(%client, '', "\c6This is a list of the build pads you can buy.");
		
		for(%a = 0; %a < datablockGroup.getCount(); %a++)
		{
			%datablock = datablockGroup.getObject(%a);
			
			if(%datablock.CityRPBrickType == 1)
			{
				messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Size: \c3" @ %datablock.brickSizeX @ "x" @ %datablock.brickSizeY SPC "\c6Cost: \c3" @ %datablock.initialPrice SPC "\c6Tax: \c3" SPC %datablock.taxAmount);
			}
		}
		
		return;
	}
	
	if(%section $= "items")
	{
		messageClient(%client, '', "\c6This is a list of item prices.");
		
		for(%a = 0; %a < datablockGroup.getCount(); %a++)
		{
			%datablock = datablockGroup.getObject(%a);
			
			if((strLwr(%datablock.getClassName()) !$= strLwr("itemData") && strLwr(%datablock.getClassName()) !$= "weapon") || %datablock.uiName $= "")
			{
				continue;
			}
			
			if(!%datablock.CityRPCanSpawn && %datablock.CityRPCanSpawn !$= "")
			{
				continue;
			}
			
			%price = (isObject(%datablock.image) && isObject(%datablock.image.projectile)) ? mFloor(%datablock.image.projectile.directDamage) : 0;
			%price2 = (isObject(%datablock.image) && isObject(%datablock.image.projectile) && isObject(%datablock.image.projectile.explosion)) ? mFloor(%datablock.image.projectile.explosion.radiusDamage) : 0;
			
			messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Price: \c3$" @ $CityRP::prices::addItemSpawn + (%price + %price2));
		}
		
		return;
	}
	
	if(%section !$= "")
	{
		%error = CityRPHelp.displayHelp(%client, %section);
		
		if(!%error)
		{
			messageClient(%client, '', "\c6Invalid help section '\c3" @ getWord(strLwr(%args), getWordCount(%args) - 1) @ "\c6'.");
		}
		
		return;
	}
	
	CityRPHelp.displayHelp(%client, "main");
	
	return;
}

function CityRP_reset(%client, %command, %args)
{
	if(CityRPData.getData(%client.bl_id).valueMoney - $CityRP::prices::reset < 0)
	{
		messageClient(%client, '', "\c6You need the credit value of at least\c3$" @ $CityRP::prices::reset SPC "\c6to do that.");
		
		return;
	}
	
	if(getWord(CityRPData.getData(%client.bl_id).valueBankData, 2) > 0)
	{
		messageClient(%client, '', "\c6You are still paying off your credit loan of \c3$" @ getWord(CityRPData.getData(%client.bl_id).valueBankData, 2) @ "\c6,please wait until it is paid.");
		
		return;
	}
	
	messageClient(%client, '', "\c6Your account has been reset,therefore your record is clean,your bank account has 0 dollars in it and you are a Colonist.");
	
	CityRPData.removeData(%client.bl_id);
	CityRPData.addData(%client.bl_id);
	
	%client.CityRP(1);
	
	if(isObject(%client.player))
	{
		%client.player.delete();
		%client.spawnPlayer();
	}
	
	return;
}